﻿using System.Collections.Generic;
using ClubManager.Models.People;

namespace ClubManager.Models
{
    public class ClubTeam
    {
        public int Id { get; set; }
        public Season Season { get; set; }

        public int GenderValue { get; set; }
        public Gender Gender 
        { 
            get { return (Gender)GenderValue; } 
            set { GenderValue = (int) value; } 
        }

        public int AgeGroupValue { get; set; }
        public AgeGroup AgeGroup
        {
            get { return (AgeGroup) AgeGroupValue; }
            set { AgeGroupValue = (int) value; }
        }


        public TeamManager Manager { get; set; }
        public Coach Coach { get; set; }

        public ICollection<Player> Players { get; set; }
    }

    public enum Gender  
    {
        Male=0,
        Female=1
    }

    public enum AgeGroup
    {
        Undefined = 0,
        U8 = 8,
        U9 = 9,
        U10 = 10,
        U11 = 11,
        U12 = 12,
        U13 = 13,
        U14 = 14
    }
}